Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-30673

get last error command should be marked doesn't requireAuth

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.5.12
    • Component/s: Internal Code
    • Labels:
      None
    • Backwards Compatibility:
      Fully Compatible
    • Operating System:
      ALL
    • Sprint:
      Platforms 2017-08-21
    • Linked BF Score:
      0

      Description

      The get last error command can cause it to attempt to process session info, which may possibly dirty up the client object with a new error (from doing auth work).

      Marking it ! requiresAuth will avoid that codepath

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: